<template>
    <div class="content__leftAnalitika">
        <div class="system-charts">
            <div class="system-chart">
                <p class="title">RAM</p>
                <memory-chart :usage="getInfo('server.hardware.ram.total') - getInfo('server.hardware.ram.free')"
                              :free="getInfo('server.hardware.ram.free')"
                              total_label="RAM"
                ></memory-chart>
            </div>
            <div class="system-chart">
                <p class="title">Disk</p>
                <memory-chart :usage="getInfo('server.hardware.disk.total') - getInfo('server.hardware.disk.free')"
                              :free="getInfo('server.hardware.disk.free')"
                              total_label="Disk"
                ></memory-chart>
            </div>
            <div class="system-chart">
                <p class="title">SWAP</p>
                <memory-chart :usage="getInfo('server.hardware.swap.total') - getInfo('server.hardware.swap.free')"
                              :free="getInfo('server.hardware.swap.free')"
                              total_label="Swap"
                ></memory-chart>
            </div>
        </div>
        <div class="settings system animated fadeInUp">
            <p class="title-sett">{{ $t('info.general') }}</p>
            <form action="" @submit.prevent>
                <div class="setting--input">
                    <div class="text-left">{{ $t('info.server_ip') }}</div>
                    <div class="setting__input--right">
                        <div class="right__leftInput">
                            <input type="text" readonly :value="getInfo('host.ip')">
                        </div>
                        <tooltip info=""/>
                    </div>
                </div>
                <div class="setting--input">
                    <div class="text-left">{{ $t('info.uptime') }}</div>
                    <div class="setting__input--right">
                        <div class="right__leftInput">
                            <input type="text" readonly :value="getInfo('server.uptime.uptime')">
                        </div>
                        <tooltip info=""/>
                    </div>
                </div>
            </form>
        </div>
        <div class="settings system animated fadeInUp">
            <p class="title-sett">{{ $t('info.hardware') }}</p>
            <form action="" @submit.prevent>
                <div class="setting--input">
                    <div class="text-left">{{ $t('info.cpu') }}</div>
                    <div class="setting__input--right">
                        <div class="right__leftInput">
                            <input type="text" readonly :value="getInfo('server.hardware.cpu')">
                        </div>
                        <tooltip info=""/>
                    </div>
                </div>
                <div class="setting--input">
                    <div class="text-left">{{ $t('info.threads') }}</div>
                    <div class="setting__input--right">
                        <div class="right__leftInput">
                            <input type="text" readonly :value="getInfo('server.hardware.cpu_count')">
                        </div>
                        <tooltip info=""/>
                    </div>
                </div>
                <div class="setting--input">
                    <div class="text-left">{{ $t('info.device_model') }}</div>
                    <div class="setting__input--right">
                        <div class="right__leftInput">
                            <input type="text" readonly :value="getInfo('server.hardware.model')">
                        </div>
                        <tooltip info=""/>
                    </div>
                </div>
                <div class="setting--input">
                    <div class="text-left">{{ $t('info.virtualization') }}</div>
                    <div class="setting__input--right">
                        <div class="right__leftInput">
                            <input type="text" readonly :value="getInfo('server.hardware.virtualization')">
                        </div>
                        <tooltip info=""/>
                    </div>
                </div>
            </form>
        </div>
        <div class="settings system animated fadeInUp">
            <p class="title-sett">{{ $t('info.software') }}</p>
            <form action="" @submit.prevent>
                <div class="setting--input">
                    <div class="text-left">{{ $t('info.arch') }}</div>
                    <div class="setting__input--right">
                        <div class="right__leftInput">
                            <input type="text" readonly :value="getInfo('server.software.arc')">
                        </div>
                        <tooltip info=""/>
                    </div>
                </div>
                <div class="setting--input">
                    <div class="text-left">{{ $t('info.os') }}</div>
                    <div class="setting__input--right">
                        <div class="right__leftInput">
                            <input type="text" readonly :value="getInfo('server.software.os')">
                        </div>
                        <tooltip info=""/>
                    </div>
                </div>
                <div class="setting--input">
                    <div class="text-left">{{ $t('info.distro') }}</div>
                    <div class="setting__input--right">
                        <div class="right__leftInput">
                            <input type="text" readonly :value="getInfo('server.software.distro')">
                        </div>
                        <tooltip info=""/>
                    </div>
                </div>
                <div class="setting--input">
                    <div class="text-left">{{ $t('info.kernel') }}</div>
                    <div class="setting__input--right">
                        <div class="right__leftInput">
                            <input type="text" readonly :value="getInfo('server.software.kernel')">
                        </div>
                        <tooltip info=""/>
                    </div>
                </div>
                <div class="setting--input">
                    <div class="text-left">{{ $t('info.php_version') }}</div>
                    <div class="setting__input--right">
                        <div class="right__leftInput">
                            <input type="text" readonly :value="getInfo('server.software.php')">
                        </div>
                        <tooltip info=""/>
                    </div>
                </div>
                <div class="setting--input">
                    <div class="text-left">{{ $t('info.webserver') }}</div>
                    <div class="setting__input--right">
                        <div class="right__leftInput">
                            <input type="text" readonly :value="getInfo('server.software.webserver')">
                        </div>
                        <tooltip info=""/>
                    </div>
                </div>
                <div class="setting--input">
                    <div class="text-left">{{ $t('info.database_driver') }}</div>
                    <div class="setting__input--right">
                        <div class="right__leftInput">
                            <input type="text" readonly :value="getInfo('database.driver')">
                        </div>
                        <tooltip info=""/>
                    </div>
                </div>
                <div class="setting--input">
                    <div class="text-left">{{ $t('info.database_version') }}</div>
                    <div class="setting__input--right">
                        <div class="right__leftInput">
                            <input type="text" readonly :value="getInfo('database.version')">
                        </div>
                        <tooltip info=""/>
                    </div>
                </div>
            </form>
        </div>
    </div>
</template>

<script>
	import {mapGetters} from "vuex";
	import _ from 'lodash';
    import MemoryChart from "../components/settings/MemoryChart";

    export default {
		name: "SystemInfo",
        data(){
		    return {
		        system: {},
            }
        },
        computed: {
            ...mapGetters([
                'axios'
            ])
        },
        methods: {
            formatDate(date){
                return this.$date(date).format('DD.MM.YYYY HH:mm:ss');
            },
		    loadInfo(){
                this.axios.get(`system/info`)
                    .then(resp => resp.data)
                    .then(system => {
                        console.log(system);
                        this.system = system;
                    });
            },
            getInfo(key){
                return _.get(this.system, key, '');
            },
        },
        mounted() {
		    this.loadInfo();
        },
        components: {
		    MemoryChart
        }
    }
</script>

<style scoped lang="scss">
    .system-charts{
        width: 100%;
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-gap: 28px;
        margin-bottom: 62px;

        .system-chart{
            padding: 15px;
            box-shadow: 0 30px 50px rgba(0,0,0,.1);
            border-radius: 10px;
            background-color: #fff;

            .title{
                font-family: "Geometria Bold";
                color: #a1a0a0;
                margin: 28px 0 0 35px;
                font-size: 14px;
                font-weight: 700;
                line-height: 15px;
            }
        }
    }	
    .system{
        .title-sett{
            margin-bottom: 30px;
        }
        form .setting--input{
            margin: 30px 0;
        }
    }
	@media(max-width: 950px) {
		.system-charts{
			grid-template-columns: 1fr 1fr;
		}
	}
	@media(max-width: 616px) {
		.system-charts{
			grid-template-columns: 1fr ;
		}
	}
</style>
